-- Create Frame handling Events
local ebonBladeRaidAssistFrame = CreateFrame("Frame");
ebonBladeRaidAssistFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
ebonBladeRaidAssistFrame:SetScript("OnEvent",
  function(self, event, ...)  
    -- Check whether Player is in Raid
    local zoneName = GetRealZoneText();

    if zoneName == "The Nighthold" or zoneName == "Die Nachtfestung" then
      EBRA_Nighthold_Plugin.handle();      
    end
    
    if zoneName == "Tomb of Sargeras" or zoneName == "Das Grabmal des Sargeras" then
      EBRA_TombOfSargeras_Plugin.handle();      
    end
    
  end
)